<template>
  <div>
    <div class="row m-1">
      <div class="like col-6 text-center button-comment"><div>Thích</div></div>
      <div class="like col-6 text-center button-comment">
        <div>Bình luận</div>
      </div>
    </div>
    <div class="row">
      <CommentList
        :idReportOfUserLogin="user.id_report"
        :listComment="listComment"
        :idUserLogin="users.id"
        :user="user"
        :listUser="listUser"
        :commentId="commentId"
        @editComment="editComment"
        @deleteComment="deleteComment"
      ></CommentList>
      <input type="hidden" v-model="commentId" />
      <FormComment
        :idUserLogin="users.id"
        :id_report="user.id_report"
        :team_id="user.team_id"
        :commentId="commentId"
        @addComment="addComment"
      ></FormComment>
    </div>
  </div>
</template>

<script>
import { API_USER, API_COMMENT, API_AUTH_USER } from '~/assets/contants/contant'
import FormComment from './CommentCreateEdit'
import CommentList from './CommentList'

export default {
  props: ['user'],
  components: {
    FormComment,
    CommentList,
  },
  data() {
    return {
      listComment: [],
      listUser: [],
      commentId: 0,
      users: [], //user login
    }
  },
  methods: {
    async addComment() {
      this.listComment = await this.$axios.$get(API_COMMENT)
      this.commentId = 0
    },
    async findUserById() {
      const user = await this.$axios.$get(API_AUTH_USER)
      this.users = user.user
      return this.users
    },
    async getListComment() {
      this.listComment = await this.$axios.$get(API_COMMENT)
    },
    async getListUser() {
      this.listUser = await this.$axios.$get(API_USER)
    },
    editComment(id) {
      return (this.commentId = id)
    },
    async deleteComment() {
      this.listComment = await this.$axios.$get(API_COMMENT)
    },
  },
  mounted() {
    this.findUserById(), this.getListComment(), this.getListUser()
  },
}
</script>

<style>
.button-comment {
  font-weight: 700;
  font-size: 16px;
  padding: 5px;
  border-bottom: 1px solid #bbbbbb;
  border-top: 1px solid #bbbbbb;
}

.button-comment > div {
  padding: 5px;
}

.button-comment:hover > div {
  background: #bbbbbb;
  cursor: pointer;
  border-radius: 5px;
}

.input-comment {
  border-radius: 20px;
  font-size: 14px;
  font-weight: 400;
  padding: 7px 15px 0 15px;
  border: none;
  background: #f0f2f5;
  width: 95%;
}
.input-comment::placeholder {
  color: #747f88;
}

.input-comment:focus {
  border: none !important;
  outline: none !important;
}

.input-comment:focus::placeholder {
  color: #929292;
}

.image > img {
  margin-left: 7.5px;
  width: 30px;
  height: 30px;
  border-radius: 50%;
}

.card-comment {
  background: #f0f2f5;
  padding: 10px;
  border-radius: 25px;
  width: fit-content;
  max-width: 1100px;
  white-space: pre-line;
  font-size: 14px;
}

.button-feedback {
  border: none;
  color: #65676b;
  line-height: 12px;
  background: none;
  font-size: 12px;
  font-weight: bold;
}
</style>
